#ifndef _SIGNAL_H
#define _SIGNAL_H

typedef int sig_atomic_t; // On the x86, writes to aligned 32-bit and 64-bit integers are always atomic. (Or that's what
                          // I understood)

#define SIGINT 1 // Not implemented.

#ifdef __cplusplus
extern "C"
{
#endif

    void (*signal(int sig, void (*func)(int)))(int); // Not implemented.
    int raise(int sig);                              // Not implemented.

#ifdef __cplusplus
}
#endif

#endif