#pragma once
#include "fs/VFS.h"
#include "sys/elf/Image.h"
#include <stdint.h>

namespace ELFLoader
{
    ELFImage* load_elf_from_vfs(VFS::Node* node); // This function assumes check_elf_image has been called first.
    ELFImage* load_elf_from_filesystem(const char* filename);
    void release_elf_image(ELFImage* image);
    long check_elf_image(VFS::Node* node);
    long check_elf_image_from_filesystem(const char* filename);
}