#include <wchar.h>

extern "C"
{
    size_t wcslen(const wchar_t* str)
    {
        const wchar_t* i = str;
        for (; *i; ++i)
            ;
        return (i - str);
    }

    wchar_t* wcscat(wchar_t* dest, const wchar_t* src)
    {
        size_t dest_len = wcslen(dest);
        size_t i;

        for (i = 0; *(src + i); i++) *(dest + dest_len + i) = *(src + i);

        *(dest + dest_len + i) = L'\0';

        return dest;
    }
}